/* usmb - mount SMB shares via FUSE and Samba
 * Copyright (C) 2006-2008 Geoff Johnstone
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef USMB_H
  #define USMB_H

  #include <libsmbclient.h>

  extern SMBCCTX *ctx;

  char * make_url (const char *path);


  static inline int smbcfile_to_fd (SMBCFILE *file)
  {
    return (NULL == file) ? -1 : (int)file;
  }


  static inline SMBCFILE * fd_to_smbcfile (int fd)
  {
    return (SMBCFILE *)fd;
  }

#endif
